-- ----------------------------------------------------------------------------
goalInvestigateDamage.mSteps = 
{
	{ action = "click", object = objectPoiEngineOpen, state = kActive },
	{ action = "click", object = objectPoiTireFlat, state = kActive },
}
-- ----------------------------------------------------------------------------
function goalInvestigateDamage:onLayoutShow(layout)
	
	if (layout == layoutWoods1Tirechange and (not objectIoTrunkClosed:isActive()) and (not objectIoTrunkClosed:isDone())) then
		objectIoTrunkClosed:ss(kActive)
		objectIoCarBackTrunkLock:ss(kActive)
	end
	
	if ((layoutWoods1Engine:isSeen())  
		 and (layoutWoods1Tirechange:isSeen())  
--		 and (layoutWoods1Battery:isSeen())
		) then
		self:achieved()
	end
	
end
-- ----------------------------------------------------------------------------
function goalInvestigateDamage:onStarted()
	
	-- battery sparkle
	objectBatterySparks:ss(kIdle)
	layoutWoods1Engine:showBatteryHighlight()
	
	layoutWoods1Engine.mEffectRadiatorSmoke:start()
	layoutWoods1Engine.mEffectRadiatorSmoke:addInitialTime(10000)
	layoutWoods1.mEffectRadiatorSmoke:start()
	layoutWoods1.mEffectRadiatorSmoke:addInitialTime(10000)
	
end